import { BaseXform } from "./base-xform.js";
interface StaticModel {
    tag: string;
    $?: any;
    c?: StaticModel[];
    t?: string;
}
declare class StaticXform extends BaseXform {
    private _model;
    private _xml?;
    constructor(model: StaticModel);
    render(xmlStream: any): void;
    parseOpen(): boolean;
    parseText(): void;
    parseClose(name: string): boolean;
}
export { StaticXform };
